[failures_X25519.https.any.html]
  [Bad usages: generateKey({name: X25519}, true, [encrypt\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, encrypt\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, deriveKey, encrypt\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, encrypt\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, deriveKey, deriveBits, encrypt\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [decrypt\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, decrypt\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, deriveKey, decrypt\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, decrypt\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, deriveKey, deriveBits, decrypt\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [sign\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, sign\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, deriveKey, sign\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, sign\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, deriveKey, deriveBits, sign\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [verify\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, verify\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, deriveKey, verify\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, verify\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, deriveKey, deriveBits, verify\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [wrapKey\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, wrapKey\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, deriveKey, wrapKey\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, wrapKey\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, deriveKey, deriveBits, wrapKey\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [unwrapKey\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, unwrapKey\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, deriveKey, unwrapKey\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveBits, unwrapKey\])]
    expected: FAIL

  [Bad usages: generateKey({name: X25519}, true, [deriveKey, deriveBits, deriveKey, deriveBits, deriveKey, deriveBits, unwrapKey\])]
    expected: FAIL

  [Empty usages: generateKey({name: X25519}, false, [\])]
    expected: FAIL

  [Empty usages: generateKey({name: X25519}, true, [\])]
    expected: FAIL


[failures_X25519.https.any.worker.html]
  expected:
    if (os == "android") and fission: [ERROR, TIMEOUT]
    ERROR
